Package org.apache.commons.compress.compressors.snappy

# Enum FramedSnappyDialect

java.lang.Object
java.lang.Enum<FramedSnappyDialect>
org.apache.commons.compress.compressors.snappy.FramedSnappyDialect

All Implemented Interfaces:
  `Serializable`, `Comparable<FramedSnappyDialect>`

public enum FramedSnappyDialect extends Enum<FramedSnappyDialect>
Dialects of the framing format that `FramedSnappyCompressorInputStream` can deal with.

Since:
  1.12

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IWORK_ARCHIVE`
  The format used by Apple's iWork Archives (.iwa files).
  `STANDARD`
  The standard as defined by the Snappy framing format description

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FramedSnappyDialect`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FramedSnappyDialect[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STANDARD

    public static final FramedSnappyDialect STANDARD
    The standard as defined by the Snappy framing format description

  - ### IWORK_ARCHIVE

    public static final FramedSnappyDialect IWORK_ARCHIVE
    The format used by Apple's iWork Archives (.iwa files).

- ## Method Details

  - ### values

    public static FramedSnappyDialect[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FramedSnappyDialect valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null